glassfish
  1. glassfish
  2. GLASSFISH-18231

JAX-RS and Jersey packages don't have any version

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Blocker Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.1, 3.1.1
    • Fix Version/s: 4.0_dev
    • Component/s: jax-rs
    • Labels:
      None

      Description

      While trying to analyse the metadata quality of GlassFish modules, I noticed that javax.ws.rs packages as well the Jersey internal packages exported by various jersey bundles are not associated with any OSGi version. This is a regression and must be fixed otherwise people who are using earlier versions of GlassFish may not be able to upgrade to 3.1.2.

        Issue Links

          Activity

            People

            • Assignee:
              Jakub Podlesak
              Reporter:
              Sanjeeb Sahoo
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: